# azure.mgmt.managementgroups.models module

exception `azure.mgmt.managementgroups.models.``ErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.managementgroups.models.``ErrorDetails`(*, code: str = None, message: str = None, details: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The details of the error.

  Parameters:

  - code (str) – One of a server-defined set of error codes.
  - message (str) – A human-readable representation of the error.
  - details (str) – A human-readable representation of the error’s details.

class `azure.mgmt.managementgroups.models.``ErrorResponse`(*, error=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The error object.

  Parameters: | error (ErrorDetails) – Error.

class `azure.mgmt.managementgroups.models.``OperationDisplayProperties`(**kwargs)

  Bases: `msrest.serialization.Model`

  The object that represents the operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - provider (str) – The name of the provider.
  - resource (str) – The resource on which the operation is performed.
  - operation (str) – The operation that can be performed.
  - description (str) – Operation description.

class `azure.mgmt.managementgroups.models.``Operation`(*, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Operation supported by the Microsoft.Management resource provider.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | name (str) – Operation name: {provider}/{resource}/{operation}.
  Parameters: | display (OperationDisplayProperties) – Display.

class `azure.mgmt.managementgroups.models.``CheckNameAvailabilityResult`(**kwargs)

  Bases: `msrest.serialization.Model`

  Describes the result of the request to check management group name availability.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - name_available (bool) – Required. True indicates name is valid and available. False indicates the name is invalid, unavailable, or both.
  - reason (str or Reason) – Required if nameAvailable == false. Invalid indicates the name provided does not match the resource provider’s naming requirements (incorrect length, unsupported characters, etc.) AlreadyExists indicates that the name is already in use and is therefore unavailable. Possible values include: ‘Invalid’, ‘AlreadyExists’
  - message (str) – Required if nameAvailable == false. Localized. If reason == invalid, provide the user with the reason why the given name is invalid, and provide the resource naming requirements so that the user can select a valid name. If reason == AlreadyExists, explain that is already in use, and direct them to select a different name.

class `azure.mgmt.managementgroups.models.``TenantBackfillStatusResult`(**kwargs)

  Bases: `msrest.serialization.Model`

  The tenant backfill status.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - tenant_id (str) – The AAD Tenant ID associated with the management group. For example, 00000000-0000-0000-0000-000000000000
  - status (str or Status) – The status of the Tenant Backfill. Possible values include: ‘NotStarted’, ‘NotStartedButGroupsExist’, ‘Started’, ‘Failed’, ‘Cancelled’, ‘Completed’

class `azure.mgmt.managementgroups.models.``ManagementGroupInfo`(*, tenant_id: str = None, display_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The management group resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The fully qualified ID for the management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000
  - type (str) – The type of the resource. For example, /providers/Microsoft.Management/managementGroups
  - name (str) – The name of the management group. For example, 00000000-0000-0000-0000-000000000000

  Parameters:

  - tenant_id (str) – The AAD Tenant ID associated with the management group. For example, 00000000-0000-0000-0000-000000000000
  - display_name (str) – The friendly name of the management group.

class `azure.mgmt.managementgroups.models.``ParentGroupInfo`(*, id: str = None, name: str = None, display_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  (Optional) The ID of the parent management group.

  Parameters:

  - id (str) – The fully qualified ID for the parent management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000
  - name (str) – The name of the parent management group
  - display_name (str) – The friendly name of the parent management group.

class `azure.mgmt.managementgroups.models.``ManagementGroupDetails`(*, version: float = None, updated_time=None, updated_by: str = None, parent=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The details of a management group.

  Parameters:

  - version (float) – The version number of the object.
  - updated_time (datetime) – The date and time when this object was last updated.
  - updated_by (str) – The identity of the principal or process that updated the object.
  - parent (ParentGroupInfo) – Parent.

class `azure.mgmt.managementgroups.models.``ManagementGroupChildInfo`(*, type=None, id: str = None, name: str = None, display_name: str = None, roles=None, children=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The child information of a management group.

  Parameters:

  - type (str or enum) – The type of child resource. The fully qualified resource type which includes provider namespace (e.g. /providers/Microsoft.Management/managementGroups). Possible values include: ‘/providers/Microsoft.Management/managementGroups’, ‘/subscriptions’
  - id (str) – The fully qualified ID for the child resource (management group or subscription). For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000
  - name (str) – The name of the child entity.
  - display_name (str) – The friendly name of the child resource.
  - roles (list[str]) – The roles definitions associated with the management group.
  - children (list[ManagementGroupChildInfo]) – The list of children.

class `azure.mgmt.managementgroups.models.``ManagementGroup`(*, tenant_id: str = None, display_name: str = None, roles=None, details=None, children=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The management group details.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The fully qualified ID for the management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000
  - type (str) – The type of the resource. For example, /providers/Microsoft.Management/managementGroups
  - name (str) – The name of the management group. For example, 00000000-0000-0000-0000-000000000000

  Parameters:

  - tenant_id (str) – The AAD Tenant ID associated with the management group. For example, 00000000-0000-0000-0000-000000000000
  - display_name (str) – The friendly name of the management group.
  - roles (list[str]) – The role definitions associated with the management group.
  - details (ManagementGroupDetails) – Details.
  - children (list[ManagementGroupChildInfo]) – The list of children.

class `azure.mgmt.managementgroups.models.``OperationResults`(*, provisioning_state=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The results of an asynchronous operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The fully qualified ID for the management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000
  - type (str) – The type of the resource. For example, /providers/Microsoft.Management/managementGroups
  - name (str) – The name of the management group. For example, 00000000-0000-0000-0000-000000000000

  Parameters: | provisioning_state (str or enum) – Provisioning State. Possible values include: ‘Updating’

class `azure.mgmt.managementgroups.models.``EntityParentGroupInfo`(*, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  (Optional) The ID of the parent management group.

  Parameters: | id (str) – The fully qualified ID for the parent management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000

class `azure.mgmt.managementgroups.models.``EntityInfo`(*, tenant_id: str = None, display_name: str = None, parent=None, permissions=None, inherited_permissions=None, number_of_descendants: int = None, number_of_children: int = None, number_of_child_groups: int = None, parent_display_name_chain=None, parent_name_chain=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The entity.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The fully qualified ID for the entity. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000
  - type (str) – The type of the resource. For example, /providers/Microsoft.Management/managementGroups
  - name (str) – The name of the entity. For example, 00000000-0000-0000-0000-000000000000

  Parameters:

  - tenant_id (str) – The AAD Tenant ID associated with the entity. For example, 00000000-0000-0000-0000-000000000000
  - display_name (str) – The friendly name of the management group.
  - parent (EntityParentGroupInfo) – Parent.
  - permissions (str or enum) – Permissions. Possible values include: ‘noaccess’, ‘view’, ‘edit’, ‘delete’
  - inherited_permissions (str or enum) – Inherited Permissions. Possible values include: ‘noaccess’, ‘view’, ‘edit’, ‘delete’
  - number_of_descendants (int) – Number of Descendants.
  - number_of_children (int) – Number of Children. Number of children is the number of Groups and Subscriptions that are exactly one level underneath the current Group.
  - number_of_child_groups (int) – Number of Child Groups. Number of child groups is the number of Groups that are exactly one level underneath the current Group.
  - parent_display_name_chain (list[str]) – The parent display name chain from the root group to the immediate parent
  - parent_name_chain (list[str]) – The parent name chain from the root group to the immediate parent

class `azure.mgmt.managementgroups.models.``EntityHierarchyItem`(*, display_name: str = None, permissions=None, children=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The management group details for the hierarchy view.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The fully qualified ID for the management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000
  - type (str) – The type of the resource. For example, /providers/Microsoft.Management/managementGroups
  - name (str) – The name of the management group. For example, 00000000-0000-0000-0000-000000000000

  Parameters:

  - display_name (str) – The friendly name of the management group.
  - permissions (str or enum) – Permissions. Possible values include: ‘noaccess’, ‘view’, ‘edit’, ‘delete’
  - children (list[EntityHierarchyItem]) – The list of children.

class `azure.mgmt.managementgroups.models.``PatchManagementGroupRequest`(*, display_name: str = None, parent_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Management group patch parameters.

  Parameters:

  - display_name (str) – The friendly name of the management group.
  - parent_id (str) – (Optional) The fully qualified ID for the parent management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000

class `azure.mgmt.managementgroups.models.``CreateParentGroupInfo`(*, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  (Optional) The ID of the parent management group used during creation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | id (str) – The fully qualified ID for the parent management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000

  Variables:

  - name (str) – The name of the parent management group
  - display_name (str) – The friendly name of the parent management group.

class `azure.mgmt.managementgroups.models.``CreateManagementGroupDetails`(*, parent=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The details of a management group used during creation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - version (float) – The version number of the object.
  - updated_time (datetime) – The date and time when this object was last updated.
  - updated_by (str) – The identity of the principal or process that updated the object.

  Parameters: | parent (CreateParentGroupInfo) – Parent.

class `azure.mgmt.managementgroups.models.``CreateManagementGroupChildInfo`(**kwargs)

  Bases: `msrest.serialization.Model`

  The child information of a management group used during creation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - type (str or enum) – The type of child resource. The fully qualified resource type which includes provider namespace (e.g. /providers/Microsoft.Management/managementGroups). Possible values include: ‘/providers/Microsoft.Management/managementGroups’, ‘/subscriptions’
  - id (str) – The fully qualified ID for the child resource (management group or subscription). For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000
  - name (str) – The name of the child entity.
  - display_name (str) – The friendly name of the child resource.
  - roles (list[str]) – The roles definitions associated with the management group.
  - children (list[CreateManagementGroupChildInfo]) – The list of children.

class `azure.mgmt.managementgroups.models.``CreateManagementGroupRequest`(*, name: str = None, display_name: str = None, details=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Management group creation parameters.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The fully qualified ID for the management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000
  - type (str) – The type of the resource. For example, /providers/Microsoft.Management/managementGroups
  - tenant_id (str) – The AAD Tenant ID associated with the management group. For example, 00000000-0000-0000-0000-000000000000
  - roles (list[str]) – The roles definitions associated with the management group.
  - children (list[CreateManagementGroupChildInfo]) – The list of children.

  Parameters:

  - name (str) – The name of the management group. For example, 00000000-0000-0000-0000-000000000000
  - display_name (str) – The friendly name of the management group. If no value is passed then this field will be set to the groupId.
  - details (CreateManagementGroupDetails) – Details.

class `azure.mgmt.managementgroups.models.``CheckNameAvailabilityRequest`(*, name: str = None, type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Management group name availability check parameters.

  Parameters:

  - name (str) – the name to check for availability
  - type (str or Type) – fully qualified resource type which includes provider namespace. Possible values include: ‘/providers/Microsoft.Management/managementGroups’

class `azure.mgmt.managementgroups.models.``ManagementGroupInfoPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ManagementGroupInfo` object

class `azure.mgmt.managementgroups.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.managementgroups.models.``EntityInfoPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `EntityInfo` object

class `azure.mgmt.managementgroups.models.``Reason`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `already_exists` = 'AlreadyExists'
  `invalid` = 'Invalid'

class `azure.mgmt.managementgroups.models.``Status`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `cancelled` = 'Cancelled'
  `completed` = 'Completed'
  `failed` = 'Failed'
  `not_started` = 'NotStarted'
  `not_started_but_groups_exist` = 'NotStartedButGroupsExist'
  `started` = 'Started'

class `azure.mgmt.managementgroups.models.``Type`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `providers_microsoft_managementmanagement_groups` = '/providers/Microsoft.Management/managementGroups'